# Copyright (c) 2021 - present / Neuralmagic, Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# flake8: noqa: F401


def try_import_lm_evaluation_harness(raise_error=True):
    try:
        import lm_eval

        return True
    except ImportError:
        if raise_error:
            raise ImportError(
                "Unable to import lm_eval. "
                "To install run 'pip install lm-eval==0.4.1'"
            )
        return False


if try_import_lm_evaluation_harness(raise_error=False):
    from .lm_evaluation_harness import *
from .perplexity import *
