# Copyright (c) 2021 - present / Neuralmagic, Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


from deepsparse.operators import OperatorRegistry
from deepsparse.transformers.pipelines.text_generation import TextGenerationPipeline


__all__ = ["CodeGenerationPipeline"]


@OperatorRegistry.register(name="code_generation", alias=["code_gen", "codegen"])
class CodeGenerationPipeline(TextGenerationPipeline):
    """
    Subclass of text generation pipeline to support any defaults or
    overrides needed for code generation
    """

    pass
